Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Interface MetricsPlugin

All Known Subinterfaces:
  MetricsSink

All Known Implementing Classes:
  AbstractGangliaSink, FileSink, GangliaSink30, GangliaSink31, GlobFilter, MetricsFilter, RegexFilter

    public interface MetricsPlugin

A fairly generic plugin interface

Method Summary
`void` | `init(org.apache.commons.configuration.SubsetConfiguration conf)` Initialize the plugin

Method Detail

### init

    void init(org.apache.commons.configuration.SubsetConfiguration conf)

  Initialize the plugin

  Parameters:
    `conf` - the configuration object for the plugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation